## ki18n 5.50.0

=== debian/changelog ===
ki18n (5.50.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.50.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:13:21 +0100

ki18n (5.49.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.48.0)
  * New upstream release (5.49.0)

  [ José Manuel Santamaría Lema ]
  * Move away from dhmk and set compat level to 11 in order to reduce
    delta with Debian

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:30:10 +0100

ki18n (5.47.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.47.0)
  * Merge with debian, notes:
    - keep using dhmk and debhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:49:07 +0100

ki18n (5.46.0-1) unstable; urgency=medium

  * Update symbols files from buildds logs (5.45.0-1).
  * New upstream release (5.46.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.4.
  * Drop upstream patch: Don-t-need-to-run-previous-iterations-commands-again.patch
  * Bump group breaks (5.46)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:15:01 +0200

ki18n (5.46.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.45.0)
  * New upstream release (5.46.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:56:19 +0100

ki18n (5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake
  * Add upstream patch: Don-t-need-to-run-previous-iterations-commands-again.patch
  * Bump group breaks (5.45)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:10:29 +0200

ki18n (5.44.0-1) sid; urgency=medium

  * Add version to the doxygen build dep (Closes: 892239)
  * New upstream release (5.44.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.44)
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:40:50 +0100

ki18n (5.43.0-1) experimental; urgency=medium

  * New upstream release (5.43.0).
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:43:38 +0100

ki18n (5.42.0-3) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Use the salsa canonical urls

  [ Pino Toscano ]
  * Switch to Python 3:
    - replace the python, and python-all build dependencies with python3 (only
      the default version is needed, not all the available ones)
    - replace the python:any dependency in libkf5i18n-dev with python3:any
  * Remove unused debian/meta stuff.
  * Use https for Format in copyright.

 -- Pino Toscano <pino@debian.org>  Thu, 22 Feb 2018 07:59:39 +0100

ki18n (5.42.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 10 Feb 2018 11:28:52 +0100

ki18n (5.42.0-1) experimental; urgency=medium

  * New upstream release (5.42.0).
  * Add link options as-needed
  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.42)
  * Bump Standards-Version to 4.1.3.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Feb 2018 12:05:15 +0100

ki18n (5.41.0-1) experimental; urgency=medium

  * New upstream release (5.41.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.41)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Dec 2017 10:42:39 -0300

ki18n (5.41.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Dec 2017 14:45:54 +0000

ki18n (5.40.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2017 12:57:54 +0000

ki18n (5.39.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Oct 2017 11:42:07 +0000

ki18n (5.38.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2017 13:24:19 +0000

ki18n (5.37.0-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:58:12 +0200

ki18n (5.37.0-1) experimental; urgency=medium

  * New upstream release (5.37.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.37)
  * Update symbols files.
  * Add a libkf5i18n-doc package for the qch files
  * Bump Standards-Version to 4.0.1.
  * Set section for the doc package
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Aug 2017 10:42:06 +0200

ki18n (5.37.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Aug 2017 14:14:47 +0000

ki18n (5.36.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.35.0).
  * Bump Standards-Version to 4.0.0.
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.35)
  * Drop upstream patches
  * watch: Use https uris
  * New upstream release (5.36.0).
  * Bump group breaks (5.36)
  * Update build-deps and deps with the info from cmake

  [ Rohan Garg ]
  * Make the build dep on python-all since thats what the package is for

  [ Raymond Wooninck ]
  * Add signing key
  * also include signing-key

  [ Harald Sitter ]
  * acc c++11. now used more liberally

 -- Maximiliano Curia <maxy@debian.org>  Sun, 09 Jul 2017 23:41:11 +0200

ki18n (5.36.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2017 17:11:34 +0000

ki18n (5.35.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2017 20:36:43 +0000

ki18n (5.34.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 May 2017 17:36:52 +0000



=== debian/control ===
Source: ki18n
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen (>= 1.8.13~),
               extra-cmake-modules (>= 5.50.0~),
               gettext,
               graphviz,
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               python3,
               qtbase5-dev (>= 5.8.0~),
               qtdeclarative5-dev (>= 5.8.0~),
               qtscript5-dev (>= 5.8.0~),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/ki18n
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ki18n
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ki18n

Package: libkf5i18n-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Advanced internationalization framework.
 Ki18n is the KDE internationalization system for
 user-interface text. It enables localization of
 user-visible strings, including locale-aware argument
 substitution and formatting. Ki18n is built atop the
 widely used Gettext internationalization system, making
 the workflow familiar to both programmers and translators.
 It can be considered a Gettext-wrapper for code based on
 the Qt library, but it also provides additional
 functionality over basic Gettext.
 .
 This package contains the translations.

Package: libkf5i18n-dev
Architecture: any
Section: libdevel
Depends: libkf5i18n5 (= ${binary:Version}),
         python3:any,
         qtscript5-dev (>= 5.8.0~),
         ${misc:Depends},
Recommends: libkf5i18n-doc (= ${source:Version})
Description: Advanced internationalization framework.
 Ki18n is the KDE internationalization system for
 user-interface text. It enables localization of
 user-visible strings, including locale-aware argument
 substitution and formatting. Ki18n is built atop the
 widely used Gettext internationalization system, making
 the workflow familiar to both programmers and translators.
 It can be considered a Gettext-wrapper for code based on
 the Qt library, but it also provides additional
 functionality over basic Gettext.
 .
 Contains development files for ki18n.

Package: libkf5i18n-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Advanced internationalization framework (documentation)
 Ki18n is the KDE internationalization system for
 user-interface text. It enables localization of
 user-visible strings, including locale-aware argument
 substitution and formatting. Ki18n is built atop the
 widely used Gettext internationalization system, making
 the workflow familiar to both programmers and translators.
 It can be considered a Gettext-wrapper for code based on
 the Qt library, but it also provides additional
 functionality over basic Gettext.
 .
 This package contains the qch documentation files.

Package: libkf5i18n5
Architecture: any
Multi-Arch: same
Depends: libkf5i18n-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kdesignerplugin (<< 5.42),
        ktexteditor-katepart (<< 5.42),
        libkf5mediaplayer5 (<< 5.42),
        libkf5quickaddons5 (<< 5.42),
        libkf5webkit5 (<< 5.42),
        qml-module-org-kde-extensionplugin (<< 5.28),
        qml-module-org-kde-runnermodel (<< 5.42),
Description: Advanced internationalization framework.
 Ki18n is the KDE internationalization system for
 user-interface text. It enables localization of
 user-visible strings, including locale-aware argument
 substitution and formatting. Ki18n is built atop the
 widely used Gettext internationalization system, making
 the workflow familiar to both programmers and translators.
 It can be considered a Gettext-wrapper for code based on
 the Qt library, but it also provides additional
 functionality over basic Gettext.

## ki18n 5.54.0

=== debian/changelog ===
ki18n (5.54.0-1) unstable; urgency=medium

  [ Scarlett Gately Moore ]
  * Remove empty patches/series.

  [ Maximiliano Curia ]
  * New upstream release (5.52.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.54)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:26:53 -0300

ki18n (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.50)
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.51)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:16:53 +0100

ki18n (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.1).
  * Update symbols files from buildds logs (5.47.0-1).
  * Update build-deps and deps with the info from cmake
  * Update copyright information
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.49)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:18:34 +0200

ki18n (5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update symbols files from buildds logs (5.46.0-1).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.47)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:09:21 +0200

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,23 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.0~),
+Build-Depends: cmake (>= 3.5~),
                debhelper (>= 11~),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 5.50.0~),
+               extra-cmake-modules (>= 5.54.0~),
                gettext,
                graphviz,
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                python3,
-               qtbase5-dev (>= 5.8.0~),
-               qtdeclarative5-dev (>= 5.8.0~),
+               qtbase5-dev (>= 5.9.0~),
+               qtdeclarative5-dev (>= 5.9.0~),
                qtscript5-dev (>= 5.8.0~),
                qttools5-dev-tools (>= 5.4),
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/ki18n
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ki18n
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ki18n
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ki18n
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ki18n.git
 
 Package: libkf5i18n-data
 Architecture: all
@@ -39,8 +39,8 @@
  This package contains the translations.
 
 Package: libkf5i18n-dev
+Section: libdevel
 Architecture: any
-Section: libdevel
 Depends: libkf5i18n5 (= ${binary:Version}),
          python3:any,
          qtscript5-dev (>= 5.8.0~),
@@ -58,11 +58,19 @@
  functionality over basic Gettext.
  .
  Contains development files for ki18n.
+Breaks: kross-dev (<< 5.54),
+        libkf5configwidgets-dev (<< 5.54),
+        libkf5iconthemes-dev (<< 5.54),
+        libkf5jsembed-dev (<< 5.54),
+        libkf5khtml-dev (<< 5.54),
+        libkf5notifyconfig-dev (<< 5.54),
+        libkf5pty-dev (<< 5.54),
+        libkf5service-dev (<< 5.54),
+        libkf5unitconversion-dev (<< 5.54),
 
 Package: libkf5i18n-doc
 Architecture: all
 Multi-Arch: foreign
-Section: doc
 Depends: ${misc:Depends}
 Description: Advanced internationalization framework (documentation)
  Ki18n is the KDE internationalization system for
@@ -76,6 +84,7 @@
  functionality over basic Gettext.
  .
  This package contains the qch documentation files.
+Section: doc
 
 Package: libkf5i18n5
 Architecture: any
@@ -83,13 +92,6 @@
 Depends: libkf5i18n-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: kdesignerplugin (<< 5.42),
-        ktexteditor-katepart (<< 5.42),
-        libkf5mediaplayer5 (<< 5.42),
-        libkf5quickaddons5 (<< 5.42),
-        libkf5webkit5 (<< 5.42),
-        qml-module-org-kde-extensionplugin (<< 5.28),
-        qml-module-org-kde-runnermodel (<< 5.42),
 Description: Advanced internationalization framework.
  Ki18n is the KDE internationalization system for
  user-interface text. It enables localization of
@@ -100,3 +102,61 @@
  It can be considered a Gettext-wrapper for code based on
  the Qt library, but it also provides additional
  functionality over basic Gettext.
+Breaks: baloo-kf5 (<< 5.54),
+        frameworkintegration (<< 5.54),
+        kdesignerplugin (<< 5.42),
+        kinit (<< 5.54),
+        kio (<< 5.54),
+        kpackagelauncherqml (<< 5.54),
+        kpackagetool5 (<< 5.54),
+        kross (<< 5.54),
+        ktexteditor-katepart (<< 5.42),
+        libkf5configwidgets5 (<< 5.54),
+        libkf5declarative5 (<< 5.54),
+        libkf5filemetadata3 (<< 5.54),
+        libkf5iconthemes5 (<< 5.54),
+        libkf5jsembed-dev (<< 5.54),
+        libkf5jsembed5 (<< 5.54),
+        libkf5kcmutils5 (<< 5.54),
+        libkf5kdelibs4support5 (<< 5.54),
+        libkf5kdelibs4support5-bin (<< 5.54),
+        libkf5khtml-bin (<< 5.54),
+        libkf5khtml5 (<< 5.54),
+        libkf5kiocore5 (<< 5.54),
+        libkf5kiofilewidgets5 (<< 5.54),
+        libkf5kiogui5 (<< 5.54),
+        libkf5kiowidgets5 (<< 5.54),
+        libkf5krosscore5 (<< 5.54),
+        libkf5krossui5 (<< 5.54),
+        libkf5mediaplayer5 (<< 5.42),
+        libkf5newstuff5 (<< 5.54),
+        libkf5newstuffcore5 (<< 5.54),
+        libkf5notifyconfig5 (<< 5.54),
+        libkf5package5 (<< 5.54),
+        libkf5parts-plugins (<< 5.54),
+        libkf5parts5 (<< 5.54),
+        libkf5people5 (<< 5.54),
+        libkf5peoplewidgets5 (<< 5.54),
+        libkf5plasma5 (<< 5.54),
+        libkf5plasmaquick5 (<< 5.54),
+        libkf5pty5 (<< 5.54),
+        libkf5purpose-bin (<< 5.54),
+        libkf5purpose5 (<< 5.54),
+        libkf5quickaddons5 (<< 5.42),
+        libkf5runner5 (<< 5.54),
+        libkf5service-bin (<< 5.54),
+        libkf5service5 (<< 5.54),
+        libkf5su-bin (<< 5.54),
+        libkf5texteditor5 (<< 5.54),
+        libkf5textwidgets5 (<< 5.54),
+        libkf5unitconversion5 (<< 5.54),
+        libkf5wallet-bin (<< 5.54),
+        libkf5webkit5 (<< 5.42),
+        libkf5xmlgui-bin (<< 5.54),
+        libkf5xmlgui5 (<< 5.54),
+        libkf5xmlrpcclient5 (<< 5.54),
+        libkwalletbackend5-5 (<< 5.54),
+        plasma-framework (<< 5.54),
+        qml-module-org-kde-extensionplugin (<< 5.28),
+        qml-module-org-kde-kquickcontrols (<< 5.54),
+        qml-module-org-kde-runnermodel (<< 5.42),

## ki18n 5.56.0

=== debian/changelog ===
ki18n (5.56.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:35:58 +0000

ki18n (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:31:13 +0000

ki18n (5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:34:59 +0000

ki18n (5.53.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:48:41 +0000

ki18n (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.51.0)

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:42:11 +0000

=== debian/control ===
Source: ki18n
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen (>= 1.8.13~),
               extra-cmake-modules (>= 5.56.0~),
               gettext,
               graphviz,
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               python3,
               qtbase5-dev (>= 5.8.0~),
               qtdeclarative5-dev (>= 5.8.0~),
               qtscript5-dev (>= 5.8.0~),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/ki18n
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ki18n
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ki18n

Package: libkf5i18n-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Advanced internationalization framework.
 Ki18n is the KDE internationalization system for
 user-interface text. It enables localization of
 user-visible strings, including locale-aware argument
 substitution and formatting. Ki18n is built atop the
 widely used Gettext internationalization system, making
 the workflow familiar to both programmers and translators.
 It can be considered a Gettext-wrapper for code based on
 the Qt library, but it also provides additional
 functionality over basic Gettext.
 .
 This package contains the translations.

Package: libkf5i18n-dev
Architecture: any
Section: libdevel
Depends: libkf5i18n5 (= ${binary:Version}),
         python3:any,
         qtscript5-dev (>= 5.8.0~),
         ${misc:Depends},
Recommends: libkf5i18n-doc (= ${source:Version})
Description: Advanced internationalization framework.
 Ki18n is the KDE internationalization system for
 user-interface text. It enables localization of
 user-visible strings, including locale-aware argument
 substitution and formatting. Ki18n is built atop the
 widely used Gettext internationalization system, making
 the workflow familiar to both programmers and translators.
 It can be considered a Gettext-wrapper for code based on
 the Qt library, but it also provides additional
 functionality over basic Gettext.
 .
 Contains development files for ki18n.

Package: libkf5i18n-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Advanced internationalization framework (documentation)
 Ki18n is the KDE internationalization system for
 user-interface text. It enables localization of
 user-visible strings, including locale-aware argument
 substitution and formatting. Ki18n is built atop the
 widely used Gettext internationalization system, making
 the workflow familiar to both programmers and translators.
 It can be considered a Gettext-wrapper for code based on
 the Qt library, but it also provides additional
 functionality over basic Gettext.
 .
 This package contains the qch documentation files.

Package: libkf5i18n5
Architecture: any
Multi-Arch: same
Depends: libkf5i18n-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kdesignerplugin (<< 5.42),
        ktexteditor-katepart (<< 5.42),
        libkf5mediaplayer5 (<< 5.42),
        libkf5quickaddons5 (<< 5.42),
        libkf5webkit5 (<< 5.42),
        qml-module-org-kde-extensionplugin (<< 5.28),
        qml-module-org-kde-runnermodel (<< 5.42),
Description: Advanced internationalization framework.
 Ki18n is the KDE internationalization system for
 user-interface text. It enables localization of
 user-visible strings, including locale-aware argument
 substitution and formatting. Ki18n is built atop the
 widely used Gettext internationalization system, making
 the workflow familiar to both programmers and translators.
 It can be considered a Gettext-wrapper for code based on
 the Qt library, but it also provides additional
 functionality over basic Gettext.

## ki18n 5.62.0

=== debian/changelog ===
ki18n (5.62.0-1) unstable; urgency=medium

  * Update reprotest args variable
  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:13:02 -0700

ki18n (5.61.0-1) experimental; urgency=medium

  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Ignore reprotest build path variations
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:10:34 +0100

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,23 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.0~),
+Build-Depends: cmake (>= 3.5~),
                debhelper (>= 11~),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 5.56.0~),
+               extra-cmake-modules (>= 5.62.0~),
                gettext,
                graphviz,
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                python3,
-               qtbase5-dev (>= 5.8.0~),
-               qtdeclarative5-dev (>= 5.8.0~),
+               qtbase5-dev (>= 5.11.0~),
+               qtdeclarative5-dev (>= 5.11.0~),
                qtscript5-dev (>= 5.8.0~),
                qttools5-dev-tools (>= 5.4),
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/ki18n
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ki18n
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ki18n
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ki18n
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ki18n.git
 
 Package: libkf5i18n-data
 Architecture: all
@@ -39,8 +39,8 @@
  This package contains the translations.
 
 Package: libkf5i18n-dev
+Section: libdevel
 Architecture: any
-Section: libdevel
 Depends: libkf5i18n5 (= ${binary:Version}),
          python3:any,
          qtscript5-dev (>= 5.8.0~),
@@ -58,11 +58,19 @@
  functionality over basic Gettext.
  .
  Contains development files for ki18n.
+Breaks: kross-dev (<< 5.54),
+        libkf5configwidgets-dev (<< 5.54),
+        libkf5iconthemes-dev (<< 5.54),
+        libkf5jsembed-dev (<< 5.54),
+        libkf5khtml-dev (<< 5.54),
+        libkf5notifyconfig-dev (<< 5.54),
+        libkf5pty-dev (<< 5.54),
+        libkf5service-dev (<< 5.54),
+        libkf5unitconversion-dev (<< 5.54),
 
 Package: libkf5i18n-doc
 Architecture: all
 Multi-Arch: foreign
-Section: doc
 Depends: ${misc:Depends}
 Description: Advanced internationalization framework (documentation)
  Ki18n is the KDE internationalization system for
@@ -76,6 +84,7 @@
  functionality over basic Gettext.
  .
  This package contains the qch documentation files.
+Section: doc
 
 Package: libkf5i18n5
 Architecture: any
@@ -83,13 +92,6 @@
 Depends: libkf5i18n-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: kdesignerplugin (<< 5.42),
-        ktexteditor-katepart (<< 5.42),
-        libkf5mediaplayer5 (<< 5.42),
-        libkf5quickaddons5 (<< 5.42),
-        libkf5webkit5 (<< 5.42),
-        qml-module-org-kde-extensionplugin (<< 5.28),
-        qml-module-org-kde-runnermodel (<< 5.42),
 Description: Advanced internationalization framework.
  Ki18n is the KDE internationalization system for
  user-interface text. It enables localization of
@@ -100,3 +102,61 @@
  It can be considered a Gettext-wrapper for code based on
  the Qt library, but it also provides additional
  functionality over basic Gettext.
+Breaks: baloo-kf5 (<< 5.54),
+        frameworkintegration (<< 5.54),
+        kdesignerplugin (<< 5.42),
+        kinit (<< 5.54),
+        kio (<< 5.54),
+        kpackagelauncherqml (<< 5.54),
+        kpackagetool5 (<< 5.54),
+        kross (<< 5.54),
+        ktexteditor-katepart (<< 5.42),
+        libkf5configwidgets5 (<< 5.54),
+        libkf5declarative5 (<< 5.54),
+        libkf5filemetadata3 (<< 5.54),
+        libkf5iconthemes5 (<< 5.54),
+        libkf5jsembed-dev (<< 5.54),
+        libkf5jsembed5 (<< 5.54),
+        libkf5kcmutils5 (<< 5.54),
+        libkf5kdelibs4support5 (<< 5.54),
+        libkf5kdelibs4support5-bin (<< 5.54),
+        libkf5khtml-bin (<< 5.54),
+        libkf5khtml5 (<< 5.54),
+        libkf5kiocore5 (<< 5.54),
+        libkf5kiofilewidgets5 (<< 5.54),
+        libkf5kiogui5 (<< 5.54),
+        libkf5kiowidgets5 (<< 5.54),
+        libkf5krosscore5 (<< 5.54),
+        libkf5krossui5 (<< 5.54),
+        libkf5mediaplayer5 (<< 5.42),
+        libkf5newstuff5 (<< 5.54),
+        libkf5newstuffcore5 (<< 5.54),
+        libkf5notifyconfig5 (<< 5.54),
+        libkf5package5 (<< 5.54),
+        libkf5parts-plugins (<< 5.54),
+        libkf5parts5 (<< 5.54),
+        libkf5people5 (<< 5.54),
+        libkf5peoplewidgets5 (<< 5.54),
+        libkf5plasma5 (<< 5.54),
+        libkf5plasmaquick5 (<< 5.54),
+        libkf5pty5 (<< 5.54),
+        libkf5purpose-bin (<< 5.54),
+        libkf5purpose5 (<< 5.54),
+        libkf5quickaddons5 (<< 5.42),
+        libkf5runner5 (<< 5.54),
+        libkf5service-bin (<< 5.54),
+        libkf5service5 (<< 5.54),
+        libkf5su-bin (<< 5.54),
+        libkf5texteditor5 (<< 5.54),
+        libkf5textwidgets5 (<< 5.54),
+        libkf5unitconversion5 (<< 5.54),
+        libkf5wallet-bin (<< 5.54),
+        libkf5webkit5 (<< 5.42),
+        libkf5xmlgui-bin (<< 5.54),
+        libkf5xmlgui5 (<< 5.54),
+        libkf5xmlrpcclient5 (<< 5.54),
+        libkwalletbackend5-5 (<< 5.54),
+        plasma-framework (<< 5.54),
+        qml-module-org-kde-extensionplugin (<< 5.28),
+        qml-module-org-kde-kquickcontrols (<< 5.54),
+        qml-module-org-kde-runnermodel (<< 5.42),

## ki18n 5.68.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(KF5_VERSION "5.68.0") # handled by release scripts
project(KI18n VERSION ${KF5_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 5.68.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${KI18n_SOURCE_DIR}/cmake ${KI18n_BINARY_DIR}/cmake)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMAddQch)
include(ECMQtDeclareLoggingCategory)


ecm_setup_version(
  PROJECT
  VARIABLE_PREFIX KI18N
  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/ki18n_version.h"
  PACKAGE_VERSION_FILE "${CMAKE_BINARY_DIR}/cmake/KF5I18nConfigVersion.cmake"
  SOVERSION 5)

# Dependencies
set(REQUIRED_QT_VERSION 5.12.0)

find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_WITH_QML "Build with support for scripted translations (recommended)" ON)
if (BUILD_WITH_QML)
   find_package(Qt5Qml ${REQUIRED_QT_VERSION} CONFIG REQUIRED)
endif()

find_package(LibIntl)
set_package_properties(LibIntl PROPERTIES TYPE REQUIRED
	URL "http://gnuwin32.sourceforge.net/packages/libintl.htm"
	PURPOSE "Needed for building KI18n unless glibc is the system libc implementation"
)

# KF5I18nMacros.cmake only needs to know the python executable path.
# Due to CMake caching the variables, and KF5I18nMacros being included by KF5I18nConfig,
# we have to hardcode the PYTHON_EXECUTABLE path or anything depending on KF5I18n
# would be unable to find another Python version.
find_package(PythonInterp REQUIRED)
configure_file(cmake/KF5I18nMacros.cmake.in ${KI18n_BINARY_DIR}/cmake/KF5I18nMacros.cmake @ONLY)
# Needed to build the ki18n translations and run the autotests
file(COPY ${KI18n_SOURCE_DIR}/cmake/build-pofiles.cmake DESTINATION ${KI18n_BINARY_DIR}/cmake)
file(COPY ${KI18n_SOURCE_DIR}/cmake/build-tsfiles.cmake DESTINATION ${KI18n_BINARY_DIR}/cmake)
file(COPY ${KI18n_SOURCE_DIR}/cmake/ts-pmap-compile.py DESTINATION ${KI18n_BINARY_DIR}/cmake)
file(COPY ${KI18n_SOURCE_DIR}/cmake/kf5i18nuic.cmake DESTINATION ${KI18n_BINARY_DIR}/cmake)

# Create dummy file to execute find_package(KF5I18n) within autotests/ki18n_install
file(WRITE ${CMAKE_BINARY_DIR}/cmake/KF5I18nTargets.cmake "")

include(${KI18n_BINARY_DIR}/cmake/KF5I18nMacros.cmake)

remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)
if(MSVC)
    remove_definitions(-DQT_STRICT_ITERATORS)
endif()

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
add_definitions(-DQT_NO_FOREACH)

if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
endif()
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

configure_file("${CMAKE_CURRENT_SOURCE_DIR}/src/config.h.in"
	"${CMAKE_CURRENT_BINARY_DIR}/src/config.h")

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5I18n")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5I18n_QCH
        FILE "${CMAKE_BINARY_DIR}/cmake/KF5I18nQchTargets.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5I18nQchTargets.cmake\")")
endif()

configure_package_config_file("${CMAKE_CURRENT_LIST_DIR}/KF5I18nConfig.cmake.in"
                              "${CMAKE_BINARY_DIR}/cmake/KF5I18nConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              PATH_VARS  KF5_INCLUDE_INSTALL_DIR LIB_INSTALL_DIR CMAKE_INSTALL_PREFIX)

install(FILES  "${CMAKE_BINARY_DIR}/cmake/KF5I18nConfig.cmake"
               "${CMAKE_BINARY_DIR}/cmake/KF5I18nConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

install(EXPORT KF5I18nTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5I18nTargets.cmake NAMESPACE KF5::)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ki18n_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel)

install( FILES
    ${KI18n_BINARY_DIR}/cmake/KF5I18nMacros.cmake
    cmake/kf5i18nuic.cmake
    cmake/build-pofiles.cmake
    cmake/build-tsfiles.cmake
    cmake/ts-pmap-compile.py
    DESTINATION ${CMAKECONFIG_INSTALL_DIR} COMPONENT Devel )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
set(libki18n_SRCS
    klocalizedstring.cpp
    klocalizedtranslator.cpp
    kcatalog.cpp
    kuitmarkup.cpp
    common_helpers.cpp
    klocalizedcontext.cpp
    main.cpp
)

ecm_qt_declare_logging_category(libki18n_SRCS
    HEADER ki18n_logging.h
    IDENTIFIER KI18N
    CATEGORY_NAME kf5.ki18n
    DESCRIPTION "KI18n"
    EXPORT KI18N
)

ecm_qt_declare_logging_category(libki18n_SRCS
    HEADER ki18n_logging_kuit.h
    IDENTIFIER KI18N_KUIT
    CATEGORY_NAME kf5.ki18n.kuit
    DESCRIPTION "KI18n KUIT"
    EXPORT KI18N
)

add_library(KF5I18n ${libki18n_SRCS})
add_library(KF5::I18n ALIAS KF5I18n)
ecm_generate_export_header(KF5I18n
    BASE_NAME KI18n
    GROUP_BASE_NAME KF
    VERSION ${KF5_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 5.0
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_include_directories(KF5I18n INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KI18n>")
target_include_directories(KF5I18n PRIVATE ${LibIntl_INCLUDE_DIRS})

target_link_libraries(KF5I18n PUBLIC Qt5::Core)
# This is only required for platforms which don't use glibc (with glibc LibIntl_LIBRARIES will be empty)
target_link_libraries(KF5I18n PRIVATE ${LibIntl_LIBRARIES})
target_compile_options(KF5I18n PRIVATE -DTRANSLATION_DOMAIN=\"ki18n5\")

set_target_properties(KF5I18n PROPERTIES VERSION   ${KI18N_VERSION_STRING}
                                         SOVERSION ${KI18N_SOVERSION}
                                         EXPORT_NAME I18n
)

install(TARGETS KF5I18n EXPORT KF5I18nTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(KI18n_HEADERS
  HEADER_NAMES
    KLocalizedContext
    KLocalizedString
    KLocalizedTranslator
    KuitMarkup
    KuitSetup
    REQUIRED_HEADERS KI18n_HEADERS
)

find_package(PythonModuleGeneration)

if (PythonModuleGeneration_FOUND)
  ecm_generate_python_binding(
    TARGET KF5::I18n
    PYTHONNAMESPACE PyKF5
    MODULENAME KI18n
    RULES_FILE "${CMAKE_SOURCE_DIR}/cmake/rules_PyKF5.py"
    SIP_DEPENDS
      QtCore/QtCoremod.sip
    HEADERS
      klocalizedcontext.h
      klocalizedstring.h
      klocalizedtranslator.h
      kuitmarkup.h
      kuitsetup.h
  )
endif()

install(FILES
    ${KI18n_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/ki18n_export.h
    DESTINATION "${KDE_INSTALL_INCLUDEDIR_KF5}/KI18n" COMPONENT Devel
)

ecm_qt_install_logging_categories(
    EXPORT KI18N
    FILE ki18n.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)


### ktranscript plugin
if (BUILD_WITH_QML)

set(ktranscript_LIB_SRCS
    ktranscript.cpp
    common_helpers.cpp
)
add_library(ktranscript MODULE ${ktranscript_LIB_SRCS})
generate_export_header(ktranscript BASE_NAME KTranscript)
target_link_libraries(ktranscript PRIVATE Qt5::Qml Qt5::Core)

install(TARGETS ktranscript DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5)

endif()

if (BUILD_QCH)
    ecm_add_qch(
        KF5I18n_QCH
        NAME KI18n
        BASE_NAME KF5I18n
        VERSION ${KF5_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KI18n_HEADERS}
            "${CMAKE_SOURCE_DIR}/docs/programmers-guide.md"
            "${CMAKE_SOURCE_DIR}/docs/translators-guide.md"
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt5Core_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KI18N_EXPORT
            KI18N_DEPRECATED_EXPORT
            KI18N_DEPRECATED
            "KI18N_DEPRECATED_VERSION(x, y, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KI18n LIB_NAME KF5I18n DEPS "core" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KI18n)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
ki18n (5.68.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.68.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 20:57:33 +0000

ki18n (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:50:19 +0000

ki18n (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:19:11 +0000

ki18n (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 23:00:25 +0000

ki18n (5.64.0-0ubuntu1) focal; urgency=medium

  * Install qdbug logging file.
  * New upstream release (5.64.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:24:31 +0000

ki18n (5.63.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release (5.63.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 06 Oct 2019 12:12:03 +0000

ki18n (5.62.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.62.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:06:56 +0100

ki18n (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:42:26 +0100

ki18n (5.60.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.60.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:16:08 +0100

ki18n (5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:19:17 +0100

ki18n (5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:40:16 +0100

ki18n (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:37:56 +0100

=== debian/control ===
Source: ki18n
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen (>= 1.8.13~),
               extra-cmake-modules (>= 5.68.0~),
               gettext,
               graphviz,
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               python3,
               qtbase5-dev (>= 5.8.0~),
               qtdeclarative5-dev (>= 5.8.0~),
               qtscript5-dev (>= 5.8.0~),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/ki18n
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ki18n
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ki18n

Package: libkf5i18n-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Advanced internationalization framework.
 Ki18n is the KDE internationalization system for
 user-interface text. It enables localization of
 user-visible strings, including locale-aware argument
 substitution and formatting. Ki18n is built atop the
 widely used Gettext internationalization system, making
 the workflow familiar to both programmers and translators.
 It can be considered a Gettext-wrapper for code based on
 the Qt library, but it also provides additional
 functionality over basic Gettext.
 .
 This package contains the translations.

Package: libkf5i18n-dev
Architecture: any
Section: libdevel
Depends: libkf5i18n5 (= ${binary:Version}),
         python3:any,
         qtscript5-dev (>= 5.8.0~),
         ${misc:Depends},
Recommends: libkf5i18n-doc (= ${source:Version})
Description: Advanced internationalization framework.
 Ki18n is the KDE internationalization system for
 user-interface text. It enables localization of
 user-visible strings, including locale-aware argument
 substitution and formatting. Ki18n is built atop the
 widely used Gettext internationalization system, making
 the workflow familiar to both programmers and translators.
 It can be considered a Gettext-wrapper for code based on
 the Qt library, but it also provides additional
 functionality over basic Gettext.
 .
 Contains development files for ki18n.

Package: libkf5i18n-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Advanced internationalization framework (documentation)
 Ki18n is the KDE internationalization system for
 user-interface text. It enables localization of
 user-visible strings, including locale-aware argument
 substitution and formatting. Ki18n is built atop the
 widely used Gettext internationalization system, making
 the workflow familiar to both programmers and translators.
 It can be considered a Gettext-wrapper for code based on
 the Qt library, but it also provides additional
 functionality over basic Gettext.
 .
 This package contains the qch documentation files.

Package: libkf5i18n5
Architecture: any
Multi-Arch: same
Depends: libkf5i18n-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kdesignerplugin (<< 5.42),
        ktexteditor-katepart (<< 5.42),
        libkf5mediaplayer5 (<< 5.42),
        libkf5quickaddons5 (<< 5.42),
        libkf5webkit5 (<< 5.42),
        qml-module-org-kde-extensionplugin (<< 5.28),
        qml-module-org-kde-runnermodel (<< 5.42),
Description: Advanced internationalization framework.
 Ki18n is the KDE internationalization system for
 user-interface text. It enables localization of
 user-visible strings, including locale-aware argument
 substitution and formatting. Ki18n is built atop the
 widely used Gettext internationalization system, making
 the workflow familiar to both programmers and translators.
 It can be considered a Gettext-wrapper for code based on
 the Qt library, but it also provides additional
 functionality over basic Gettext.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_strip:
	dh_strip --dbgsym-migration='libkf5i18n5-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable auto tests at build time
	:

## ki18n 5.74.0

=== debian/changelog ===
ki18n (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 10:59:13 +0100

ki18n (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 10:58:07 +0100

ki18n (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:32:46 +0100

ki18n (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:06:24 +0100

ki18n (5.70.0-1ubuntu1) groovy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - debhelper-compat = 12 for backports.

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Jun 2020 21:23:42 +0100

ki18n (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Update symbols file.
  [ Sandro Knauß ]
  * Bump compat level to 13.

  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Wrap long lines in changelog entries: 5.46.0-1, 5.45.0-1, 5.21.0-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:56:33 +0200

ki18n (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)

  [ Rik Mills ]
  * New upstream release (5.70.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:32:01 +0100

ki18n (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 12.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Enable hardening all.
  * Add Build-Depends-Package to symbols file.
  * Remove listing license file in copyright file.
  * Update copyright file.
  * Install ki18n.categories in libkf5i18n-data package.
  * Update symbols from buildds for 5.62.0.
  * Update symbols from build for 5.69.0.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 00:55:03 +0200

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,24 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.0~),
-               debhelper (>= 11~),
+Build-Depends: cmake (>= 3.5~),
+               debhelper-compat (= 12),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 5.68.0~),
+               extra-cmake-modules (>= 5.74.0~),
                gettext,
                graphviz,
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                python3,
-               qtbase5-dev (>= 5.8.0~),
-               qtdeclarative5-dev (>= 5.8.0~),
+               qtbase5-dev (>= 5.12.0~),
+               qtdeclarative5-dev (>= 5.12.0~),
                qtscript5-dev (>= 5.8.0~),
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Homepage: https://projects.kde.org/projects/frameworks/ki18n
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ki18n
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ki18n
+Rules-Requires-Root: no
 
 Package: libkf5i18n-data
 Architecture: all
@@ -82,14 +83,7 @@
 Multi-Arch: same
 Depends: libkf5i18n-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
-Breaks: kdesignerplugin (<< 5.42),
-        ktexteditor-katepart (<< 5.42),
-        libkf5mediaplayer5 (<< 5.42),
-        libkf5quickaddons5 (<< 5.42),
-        libkf5webkit5 (<< 5.42),
-        qml-module-org-kde-extensionplugin (<< 5.28),
-        qml-module-org-kde-runnermodel (<< 5.42),
+         ${shlibs:Depends}
 Description: Advanced internationalization framework.
  Ki18n is the KDE internationalization system for
  user-interface text. It enables localization of
